## org.eclipse.emf.databinding.internal
Class DelegatingSet<E>

    java.lang.Object
      org.eclipse.emf.databinding.internal.DelegatingSet<E>

Type Parameters:
  `E` - the element type

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.Set<E>

    public class DelegatingSet<E>

extends java.lang.Object
implements java.util.Set<E>

`Set` which is backed by an `List`

Constructor Summary
`DelegatingSet(java.util.List<E> wrappedList)` Create a new delegating set

Method Summary
`boolean` `add(E o)`
`boolean` `addAll(java.util.Collection<? extends E> c)`
`void` `clear()`
`boolean` `contains(java.lang.Object o)`
`boolean` `containsAll(java.util.Collection<?> c)`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Iterator<E>` `iterator()`
`boolean` `remove(java.lang.Object o)`
`boolean` `removeAll(java.util.Collection<?> c)`
`boolean` `retainAll(java.util.Collection<?> c)`
`int` `size()`
`java.lang.Object[]` `toArray()`

`

`<T> T[]`

`

`toArray(T[] a)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingSet

    public DelegatingSet(java.util.List<E> wrappedList)

  Create a new delegating set

  Parameters:
    `wrappedList` - the wrapped set

Method Detail

### add

    public boolean add(E o)

  Specified by:
    `add` in interface `java.util.Collection<E>`
  Specified by:
    `add` in interface `java.util.Set<E>`

### addAll

    public boolean addAll(java.util.Collection<? extends E> c)

  Specified by:
    `addAll` in interface `java.util.Collection<E>`
  Specified by:
    `addAll` in interface `java.util.Set<E>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection<E>`
  Specified by:
    `clear` in interface `java.util.Set<E>`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection<E>`
  Specified by:
    `contains` in interface `java.util.Set<E>`

### containsAll

    public boolean containsAll(java.util.Collection<?> c)

  Specified by:
    `containsAll` in interface `java.util.Collection<E>`
  Specified by:
    `containsAll` in interface `java.util.Set<E>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection<E>`
  Specified by:
    `isEmpty` in interface `java.util.Set<E>`

### iterator

    public java.util.Iterator<E> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<E>`
  Specified by:
    `iterator` in interface `java.util.Collection<E>`
  Specified by:
    `iterator` in interface `java.util.Set<E>`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection<E>`
  Specified by:
    `remove` in interface `java.util.Set<E>`

### removeAll

    public boolean removeAll(java.util.Collection<?> c)

  Specified by:
    `removeAll` in interface `java.util.Collection<E>`
  Specified by:
    `removeAll` in interface `java.util.Set<E>`

### retainAll

    public boolean retainAll(java.util.Collection<?> c)

  Specified by:
    `retainAll` in interface `java.util.Collection<E>`
  Specified by:
    `retainAll` in interface `java.util.Set<E>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<E>`
  Specified by:
    `size` in interface `java.util.Set<E>`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection<E>`
  Specified by:
    `toArray` in interface `java.util.Set<E>`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `java.util.Collection<E>`
  Specified by:
    `toArray` in interface `java.util.Set<E>`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Collection<E>`
  Specified by:
    `equals` in interface `java.util.Set<E>`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Collection<E>`
  Specified by:
    `hashCode` in interface `java.util.Set<E>`
  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.